Package org.apache.sling.api.request

# Class RecursionTooDeepException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.api.SlingException
org.apache.sling.api.request.RecursionTooDeepException

All Implemented Interfaces:
  `Serializable`

public class RecursionTooDeepException extends SlingException
The `RecursionTooDeepException` is thrown by the Sling implementation if to many recursive content inclusions take place. The limit of recursive inclusions is implementation dependent.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RecursionTooDeepException(String resourcePath)`
Creates a new instance of this class reporting the exception occurred while trying to include the output for rendering the resource at the given path.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RecursionTooDeepException

public RecursionTooDeepException(String resourcePath)
Creates a new instance of this class reporting the exception occurred while trying to include the output for rendering the resource at the given path.

The resource path is the actual message of the exception.

Parameters:
  `resourcePath` - The path of the resource whose output inclusion causes this exception.